org.bdgenomics.adam.projections

# GenotypeField

#### object GenotypeField extends FieldEnumeration

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenotypeField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

7. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

10. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

11. #### val alleles: SchemaVal

12. #### val alternateReadDepth: SchemaVal

13. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

14. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

15. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

16. #### val contigName: SchemaVal

17. #### val end: SchemaVal

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### val expectedAlleleDosage: SchemaVal

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### val genotypeLikelihoods: SchemaVal

23. #### val genotypeQuality: SchemaVal

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### final def maxId: Int

    Definition Classes
      Enumeration

28. #### val minReadDepth: SchemaVal

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

31. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

32. #### val nonReferenceLikelihoods: SchemaVal

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### val phaseQuality: SchemaVal

36. #### val phaseSetId: SchemaVal

37. #### val phased: SchemaVal

38. #### val processingDescription: SchemaVal

39. #### val readDepth: SchemaVal

40. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

41. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

42. #### val referenceReadDepth: SchemaVal

43. #### val sampleDescription: SchemaVal

44. #### val sampleId: SchemaVal

45. #### val splitFromMultiAllelic: SchemaVal

46. #### val start: SchemaVal

47. #### val strandBiasComponents: SchemaVal

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

50. #### def values: ValueSet

    Definition Classes
      Enumeration

51. #### val variant: SchemaVal

52. #### val variantCallingAnnotations: SchemaVal

53. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

54. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped